/******************************************************************************
*File name : MM_crc.h

*Version.Revision: 1.0

*Description:
*	This file contains the declaration of all the functions in MM_crc.c

*Creation Date & Author: 23-11-2005, SP, DS, LP

*Version, Update date & Author:
******************************************************************************/
#ifndef __MM_CRC_H__
#define __MM_CRC_H__

extern unsigned int crc8 (unsigned int datum, unsigned int crc);
extern unsigned int crc16 (unsigned int datum, unsigned int crc);
extern unsigned int crc32 (unsigned int datum, unsigned int crc);
extern unsigned int memcrc8 (unsigned int *p_data, unsigned int len, unsigned int crc);
extern unsigned int memcrc16 (unsigned int *p_data, unsigned int len, unsigned int crc);
extern unsigned int memcrc32 (unsigned int *p_data, unsigned int len, unsigned int crc);
extern unsigned int memcrc32_pm (unsigned int pm *p_data, unsigned int len, unsigned int crc);

#endif	
